### Function

# Gdk FileListnew_from_array

since: 4.8

#### Declaration [src]

    GdkFileList*
    gdk_file_list_new_from_array (
      GFile** files,
      gsize n_files
    )

#### Description [src]

Creates a new `GdkFileList` for the given array of files.

This function is meant to be used by language bindings.

Available since: 4.8

#### Parameters

`files`

  Type: An array of `GFile*`

  The files to add to the list.

  The length of the array is specified in the `n_files` argument.
  The data is owned by the caller of the function.

`n_files`

  Type: `gsize`

  The number of files in the array.

#### Return value

Type: `GdkFileList`

The newly create files list.

The caller of the function takes ownership of the data, and is responsible for freeing it.